Bug 22566 - Anaconda fails to detect drives on 2nd Compaq SMART array 3200 of a Compaq Proliant server
Summary: Anaconda fails to detect drives on 2nd Compaq SMART array 3200 of a Compaq Pr...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-20 02:44 UTC by Ian Macdonald
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-21 19:23:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian Macdonald 2000-12-20 02:44:21 UTC
Anaconda fails to properly detect when all drives in a Compaq Proliant
server are attached to the second SMART 3200 controller. The device file is
created with the correct name (/dev/ida/c1d0), but the block device file
has the wrong major number (72 instead of 73).

This can be fixed by patching the following file:

usr/local/src/rh-6-2.misc/src/anaconda/isys/devnodes.c
--- /mnt/export/rh-6.2/misc/src/anaconda/isys/devnodes.c        Wed Sep 13
13:48:42 2000
+++ /usr/local/src/rh-6-2.misc/src/anaconda/isys/devnodes.c     Tue Dec 19
17:26:38 2000
@@ -104,6 +104,8 @@
        /* Compaq Smart Array "ida/c0d0{p1} */
        type = S_IFBLK;
        major = 72;                    /* controller */
+       if (!strncmp(devName, "ida/c1", 6))
+           major = 73;
        minor = (devName[7] - '0') * 16;  /* disk */
        if (strlen(devName) > 8)          /* partition */
            minor += atoi(devName + 9);

Change directory to misc/src/anaconda/isys and perform 'make _isys.so'.

Copy the resulting file to RedHat/instimage/usr/lib/anaconda/_isys.so,
after which all will be well.

Comment 1 Michael Fulbright 2000-12-21 19:23:00 UTC
Thank you for the fix - we have integrated this previously into our 7.0 release.


Note You need to log in before you can comment on or make changes to this bug.